import Orange

WIDTH = 8

SIZE = 34

TEXTSPACE = 1.8

# valence
names = ["Screen Simulation", "Virtual Reality", "Real Robots"]
avranks =  [1.338235 , 2.352941 , 2.308824 ] 
cd = Orange.evaluation.scoring.compute_CD(avranks, SIZE) 
print "Arousal time CD:", cd
Orange.evaluation.scoring.graph_ranks("arousal_nemenyi_cd_diagram.pdf", avranks, names, \
    cd=cd, width=WIDTH, textspace=TEXTSPACE)

names = ["Screen Simulation", "Virtual Reality", "Real Robots"]
avranks =  [1.926471 , 1.926471 , 2.147059 ] 
cd = Orange.evaluation.scoring.compute_CD(avranks, SIZE) 
print "Valence time CD:", cd
Orange.evaluation.scoring.graph_ranks("valence_nemenyi_cd_diagram.pdf", avranks, names, \
    cd=cd, width=WIDTH, textspace=TEXTSPACE)

